/*
 Theme Name:   JF Theme
 Theme URI:    https://generatepress.com
 Description:  James Fletcher Web Design child theme
 Author:       James Fletcher Web Design
 Author URI:   https://www.jamesfletcher.uk
 Template:     generatepress
 Version:      0.1
*/


/* =========================
   TYPOGRAPHY
========================= */

body {
	line-height: 1.3;
}

/* Font Family Utilities */
body, .fs-p, button {
    font-family: "greycliff-cf", sans-serif;
	font-weight: 400;
}

/* Heading and utility class font assignment */
h1, h2, h3, h4, h5, h6,
[class^="fs-"] {
	font-weight: 900;
	letter-spacing: -0.08rem;
}

/* =========================
   FLUID TYPOGRAPHY SCALE
========================= */

h1, .fs-h1 {
	font-size: clamp(2rem, 1.6rem + 1.8vw, 3rem);
	line-height: 1;
}

h2, .fs-h2 {
	font-size: clamp(1.6rem, 1.4rem + 0.9vw, 2.2rem);
	line-height: 1.1;
}

h3, .fs-h3 {
	font-size: clamp(1.2rem, 1.1rem + 0.4vw, 1.5rem);
	line-height: 1.15;
}

h4, .fs-h4 {
	font-size: clamp(1.1rem, 1.05rem + 0.35vw, 1.35rem);
	line-height: 1.2;
}

h5, .fs-h5 {
	font-size: clamp(1.1rem, 1.05rem + 0.3vw, 1.3rem);
	line-height: 1.25;
}

h6, .fs-h6 {
	font-size: clamp(1rem, 0.95rem + 0.35vw, 1.18rem);
	line-height: 1.3;
}

p, .fs-p {
	font-size: clamp(0.95rem, 0.9rem + 0.2vw, 1.05rem);
	margin-bottom: 1rem;
}
li {	
	font-size: clamp(0.95rem, 0.9rem + 0.2vw, 1.05rem);
}

p + h2, 
p + h3 {
	margin-top: clamp(1.5rem, 2vw, 2.2rem);
}